https://api-eu.hosted.exlibrisgroup.com/almaws/v1/task-lists/printoutsThis API performs an action on printouts: mark as printed or canceled. 10,000 records can be handled in one requests. Only printouts which were updated will be returned.
Printout Name. Optional.
Printout status. Optional. Valid values are: Printed, Pending, Canceled.
Printout Printer
A list of Printout IDs (for example: 123,456,778) from 1 to the limit of 100 Optional. Use of this option overrides all of the filtering parameters
The operation to perform on the printout. Currently, the options are: 'mark_as_printed','mark_as_canceled'
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://api-eu.hosted.exlibrisgroup.com/almaws/v1/task-lists/printouts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://api-eu.hosted.exlibrisgroup.com/almaws/v1/task-lists/printoutsThis API performs an action on printouts: mark as printed or canceled. 10,000 records can be handled in one requests. Only printouts which were updated will be returned.
Printout Name. Optional.
Printout status. Optional. Valid values are: Printed, Pending, Canceled.
Printout Printer
A list of Printout IDs (for example: 123,456,778) from 1 to the limit of 100 Optional. Use of this option overrides all of the filtering parameters
The operation to perform on the printout. Currently, the options are: 'mark_as_printed','mark_as_canceled'
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://api-eu.hosted.exlibrisgroup.com/almaws/v1/task-lists/printouts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}